using RTCommunicatorBase;
using UniversalNetFrame451.IO;

namespace AlarmInfoServerSim.Services
{
    public interface IInfoSendingService
    {
        bool Open();
        bool Send(byte tag, ST_ALARM alarm);

        event EventHandler<bool>? ConnectionStatusChanged;
        event EventHandler<TcpConnection>? TcpConnectionChanged;
    }
}
